commit:     95905908d02a1c31ccc52a969695bc6e65823536
Author:     Michael Mair-Keimberger <m.mairkeimberger <AT> gmail <DOT> com>
AuthorDate: Sun Apr 14 14:09:32 2019 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sun Apr 14 18:16:27 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=95905908

app-arch/cksfv: EAPI7 bump, fix LICENCE.

Closes: https://bugs.gentoo.org/683298
Signed-off-by: Michael Mair-Keimberger <m.mairkeimberger <AT> gmail.com>
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 app-arch/cksfv/cksfv-1.3.14-r1.ebuild | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/app-arch/cksfv/cksfv-1.3.14-r1.ebuild 
b/app-arch/cksfv/cksfv-1.3.14-r1.ebuild
new file mode 100644
index 00000000000..4793e5b0274
--- /dev/null
+++ b/app-arch/cksfv/cksfv-1.3.14-r1.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="SFV checksum utility (simple file verification)"
+HOMEPAGE="http://zakalwe.fi/~shd/foss/cksfv/";
+SRC_URI="http://zakalwe.fi/~shd/foss/cksfv/files/${P}.tar.bz2";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~amd64-linux ~hppa ~ia64 ~ppc ~sparc ~x86 ~x86-fbsd 
~x86-linux"
+
+src_configure() {
+       # note: not an autoconf configure script
+       ./configure \
+               --compiler="$(tc-getCC)" \
+               --prefix="${EPREFIX}"/usr \
+               --package-prefix="${D}" \
+               --bindir="${EPREFIX}"/usr/bin \
+               --mandir="${EPREFIX}"/usr/share/man || die
+}

Reply via email to